package tech.sbdevelopment.themeparkaudio.socket.messages;

import lombok.Getter;
import org.json.simple.JSONObject;

import java.time.ZonedDateTime;

@Getter
public class ActionFotoMessage extends AbstractMessage {
    private final String attractionId;
    private final String image;
    private final ZonedDateTime timestamp = ZonedDateTime.now();

    protected ActionFotoMessage(String attractionId, String image) {
        super(MessageTask.ACTIONFOTO);
        this.attractionId = attractionId;
        this.image = image;
    }

    public static ActionFotoMessage of(String attractionId, String image) {
        return new ActionFotoMessage(attractionId, image);
    }

    @Override
    protected JSONObject extendJson() {
        JSONObject data = new JSONObject();
        data.put("attractionId", attractionId);
        data.put("image", image);
        data.put("timestamp", timestamp.toInstant().toString());
        return data;
    }
}
